#ifndef LatexCommandDialog_h
#define LatexCommandDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "LatexCommandModel.h"

#include <QLabel>

class TreeView;

//* show list of pending commands
namespace Latex
{
    class CommandDialog: public CustomDialog
    {

        Q_OBJECT

        public:

        //* constructor
        explicit CommandDialog( QWidget* = nullptr );

        //*@name accessors
        //@{

        //* model
        CommandModel& commandModel()
        { return model_; }

        //@}

        //*@name modifiers
        //@{

        //* list
        TreeView& list() const
        { return *list_; }

        //@}

        Q_SIGNALS:

        //* emitted when hidden
        void dialogHidden();

        protected:

        //* hide event
        void closeEvent( QCloseEvent* ) override;

        private:

        //* model
        CommandModel model_;

        //* user selection frame
        TreeView* list_ = nullptr;

    };
}
#endif
