/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "TexFile.h"
#include "CppUtil.h"

//________________________________________________________
TexFile TexFile::addExtension( const QString& extension ) const
{

    // prepare output file
    File out( *this );

    // remove file extension, if found:
    if( extensions().find(  File( *this ).extension() ) != extensions().end() )
    { out = truncatedName(); }

    // adds new extension
    out.get() += extension;
    return TexFile( out );
}

//________________________________________________________
const TexFile::ExtensionList& TexFile::extensions()
{
    static const auto extensions = Base::makeT<ExtensionList>( { "tex","dvi", "ps", "pdf", "aux", "log", "out", "toc", "tof", "bib", "bbl", "blg" } );
    return extensions;
}

//________________________________________________________
const TexFile::ExtensionList& TexFile::cleanExtensions()
{
    static const auto extensions = Base::makeT<ExtensionList>( { "dvi", "aux", "log", "out", "toc", "tof", "bbl", "blg" } );
    return extensions;
}
