#ifndef TexFile_h
#define TexFile_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "File.h"

#include <QSet>

//* some tex related utilities
class TexFile: public File
{

    public:

    //* default constructor
    explicit TexFile()
    {}

    //* constructor
    explicit TexFile( const File& other ):
        File( other )
    {}

    //* add extension
    TexFile addExtension( const QString& ) const;

    //* extension list
    using ExtensionList = QSet< QString >;

    //* extensions
    static const ExtensionList& extensions();

    //* clean extensions
    /*! these are extension of files that gets removed when clean action is pressed */
    static const ExtensionList& cleanExtensions();

};

#endif
